For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check whether a single static IP assignment would be valid

post
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired

Name of the user.

Body
device_idinteger · int64Required
ipstringRequired
locationinteger · int64Required
Responses
200

Validation result.

application/json
objectOptional
post/api/v1/device/user/{username}/ip/validate
POST /api/v1/device/user/{username}/ip/validate HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "device_id": 1,
  "ip": "text",
  "location": 1
}
{
  "message": "IP assignment is valid"
}

Last updated

Was this helpful?